# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "randexp"
  s.version = "0.1.7"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Ben Burkert"]
  s.date = %q{2012-02-29}
  s.description = "Library for generating random strings from regular expressions."
  s.email = ["ben@benburkert.com"]
  s.extra_rdoc_files = ["README", "LICENSE", "TODO"]
  s.files = [".gitignore", "CHANGELOG", "Gemfile", "LICENSE", "README", "README.textile", "Rakefile", "TODO", "lib/randexp.rb", "lib/randexp/core_ext.rb", "lib/randexp/core_ext/array.rb", "lib/randexp/core_ext/integer.rb", "lib/randexp/core_ext/range.rb", "lib/randexp/core_ext/regexp.rb", "lib/randexp/dictionary.rb", "lib/randexp/parser.rb", "lib/randexp/randgen.rb", "lib/randexp/reducer.rb", "lib/randexp/version.rb", "lib/randexp/wordlists/female_names.rb", "lib/randexp/wordlists/male_names.rb", "lib/randexp/wordlists/real_name.rb", "randexp.gemspec", "spec/regression/regexp_spec.rb", "spec/spec_helper.rb", "spec/unit/core_ext/regexp_spec.rb", "spec/unit/randexp/parser_spec.rb", "spec/unit/randexp/reducer_spec.rb", "spec/unit/randexp_spec.rb", "spec/unit/randgen_spec.rb", "wordlists/female_names", "wordlists/male_names", "wordlists/surnames"]
  s.homepage = "http://github.com/benburkert/randexp"
  s.require_paths = ["lib"]
  s.rubyforge_project = "randexp"
  s.rubygems_version = "1.3.7.1"
  s.summary = "Library for generating random strings."
  s.test_files = ["spec/regression/regexp_spec.rb", "spec/spec_helper.rb", "spec/unit/core_ext/regexp_spec.rb", "spec/unit/randexp/parser_spec.rb", "spec/unit/randexp/reducer_spec.rb", "spec/unit/randexp_spec.rb", "spec/unit/randgen_spec.rb"]

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
    else
    end
  else
  end
end
